=== debian/changelog ===
scap-security-guide (0.1.39-2) unstable; urgency=medium

  * Corrected lintian warnings.
  * Deleted useless files in debian/ dir.

 -- Philippe Thierry <phil@reseau-libre.net>  Thu, 26 Jul 2018 16:58:28 +0200

scap-security-guide (0.1.39-1) unstable; urgency=medium

  * bump to 1.0.39.
  * Updated Debian install for Cmake build system.
  * Add Chromium to application and deleted webmin and RHEL5 which are not
    default targets.
  * Add SuSE Linux 12 to ssg-sle11.
  * Add Ubuntu1404 to ssg-debderived.
  * Updated Debian packaging for pristine-tar based packaging.

 -- Philippe Thierry <phil@reseau-libre.net>  Wed, 25 Jul 2018 16:43:51 +0200
