## scap-security-guide 0.1.62

=== debian/changelog ===
scap-security-guide (0.1.62-2) unstable; urgency=medium

  * Source-only upload.

 -- Samuel Henrique <samueloph@debian.org>  Tue, 16 Aug 2022 18:59:52 +0100

scap-security-guide (0.1.62-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop all Python 2 dependencies. Closes: #938438
  * Patches:
    - man_lexgrog_support.patch, rebased and sent upstream.
    - Add command-chown-change-separator.patch
    - Add fix-typos.patch
  * d/watch:
    - Update URL, repository moved to new location.
    - Bump to version 4.
  * Drop d/compat, use debhelper-compat in d/control instead.
  * d/control:
    - Change from Python 2 to Python 3 build-dependencies.
    - Drop python-lxml, and add python3-setuptools.
    - Drop ancient X-Python3 field.
    - Change libopenscap8 -> openscap-scanner.
    - Bump debhelper to 13.
    - Update Standards-Version to 4.6.1
    - Document Rules-Requires-Root.
    - Update binary package description.
    - Add myself as uploader.
  * d/rules: Specify build directory 'build'.
  * Update d/*.install and d/*.docs.
  * d/not-installed: Don't install upstream license file.
  * d/ssg-base.manpages: Update path.
  * Drop d/ssg-base.preinst, no longer needed.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository
    and Repository-Browse.
  * d/copyright:
    - Change to secure copyright URI.
    - Update source, point to GitHub repository.
    - Update main license, upstream project was relicensed to BSD-3-clause.
    - Drop three paragraphs for now removed files, add one new paragraph.
    - Add myself under Debian paragraph.
  * d/*.doc-base: Remove all files, outdated.
  * Remove automated way to acquire upstream changelog. This removes patch,
    script, python3-requests BD and 'mkrelease' target in d/rules.
  * Don't generate bash scripts.
  * d/ssg-base.dirs: Add usr/share/scap-security-guide/kickstart and
    usr/share/scap-security-guide/tailoring
  * wrap-and-sort -at
  * Add d/ssg-base.lintian-overrides, override empty directories tag.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Tue, 19 Jul 2022 00:18:12 +0200
