=== debian/control ===
--- 
+++ 
@@ -2,32 +2,32 @@
 Section: admin
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: Philippe Thierry <phil@reseau-libre.net>
-Build-Depends:
- debhelper (>=10),
- python3 (>> 3.6),
- python2 (>> 2.7),
- python-requests,
- python-yaml,
- python-jinja2,
- python-lxml,
- xsltproc,
- expat,
- libxml2-utils,
- libopenscap8,
- cmake
-Standards-Version: 4.1.5
-X-Python3-Version: >= 3.6
+Uploaders: Philippe Thierry <phil@reseau-libre.net>,
+           Håvard F.Aasen <havard.f.aasen@pfft.no>,
+Build-Depends: cmake,
+               debhelper-compat (=13),
+               expat,
+               libxml2-utils,
+               openscap-common,
+               openscap-scanner,
+               python3,
+               python3-jinja2,
+               python3-setuptools,
+               python3-yaml,
+               xsltproc,
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Homepage: https://www.open-scap.org/security-policies/scap-security-guide
 Vcs-Git: https://salsa.debian.org/pkg-security-team/scap-security-guide.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/scap-security-guide
 
 Package: ssg-base
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Multi-Arch: foreign
-Recommends: libopenscap8
-Suggests: ansible, puppet
+Recommends: openscap-scanner,
+Suggests: ansible,
+          puppet,
 Description: SCAP Security guide base content and documentation
  This package contains the basic content and manual pages explaining how
  the SCAP-security-guide works. It deploys man page and all various
@@ -41,11 +41,12 @@
 
 Package: ssg-debian
 Architecture: all
-Depends: ${misc:Depends}, ssg-base
+Depends: ssg-base,
+         ${misc:Depends},
 Multi-Arch: foreign
-Description: SCAP Guides and benchmarks targeting Debian 8
+Description: SCAP Guides and benchmarks targeting Debian releases
  This package contains all the SCAP guides, benchmarks and remediation
- files for Debian Jessie. Remediation files are Shell-based, Ansible-based
+ files for Debian releases. Remediation files are Shell-based, Ansible-based
  and Puppet-based depending on the target infrastructure deployment policy.
  .
  SCAP (Security Content Automation Protocol) is a set of standards used in
@@ -56,11 +57,12 @@
 
 Package: ssg-debderived
 Architecture: all
-Depends: ${misc:Depends}, ssg-base
+Depends: ssg-base,
+         ${misc:Depends},
 Multi-Arch: foreign
 Description: SCAP Guides and benchmarks targeting Debian-based OS
  This package contains all the SCAP guides for deb-based distributions
- such as Ubuntu Trusty or Xenial.
+ such as Ubuntu.
  This package contains all the SCAP guides, benchmarks and remediation
  files. Remediation files are Shell-based, Ansible-based  and
  Puppet-based depending on the target infrastructure deployment policy.
@@ -73,7 +75,8 @@
 
 Package: ssg-applications
 Architecture: all
-Depends: ${misc:Depends}, ssg-base
+Depends: ssg-base,
+         ${misc:Depends},
 Multi-Arch: foreign
 Description: SCAP Guides and benchmarks targeting userspace applications
  This package contains all the SCAP guides, benchmarks and remediation
@@ -89,13 +92,14 @@
 
 Package: ssg-nondebian
 Architecture: all
-Depends: ${misc:Depends}, ssg-base
+Depends: ssg-base,
+         ${misc:Depends},
 Multi-Arch: foreign
 Description: SCAP Guides and benchmarks targeting other GNU/Linux OS
  This package contains all the SCAP guides, benchmarks and remediation
- files for nondebian operating system targets such as Red-Hat RHEL or SuSE.
- Remediation files are Shell-based, Ansible-based and Puppet-based depending
- on the target infrastructure deployment policy.
+ files for nondebian operating system targets such as Red-Hat RHEL, SuSE and
+ others. Remediation files are Shell-based, Ansible-based and Puppet-based
+ depending on the target infrastructure deployment policy.
  .
  SCAP (Security Content Automation Protocol) is a set of standards used in
  order to automatically manage vulnerabilities and policy compliance
