=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


%:
	dh $@ --builddir=build

override_dh_auto_configure:
	dh_auto_configure -- -DSSG_BASH_SCRIPTS_ENABLED=OFF
